<?xml version="1.0" encoding="utf-8"?>
<PreferenceScreen xmlns:android="http://schemas.android.com/apk/res/android" >

<!--
    <PreferenceCategory android:title="AIRCRAFT" >
        <ListPreference
            android:defaultValue="0.75f"
            android:entries="@array/ac_list_names"
            android:entryValues="@array/ac_list_values"
            android:key="AircraftModel"
            android:summary="Select active aircraft model"
            android:title="Aircraft" />
    </PreferenceCategory>
    -->
    
    <PreferenceCategory android:title="DATABASE" >
        <ListPreference
            android:defaultValue="RV8"
            android:entries="@array/ac_list_names"
            android:entryValues="@array/ac_list_values"
            android:key="AircraftModel"
            android:summary="Select active aircraft model"
            android:title="Aircraft" />
    </PreferenceCategory>


    <PreferenceCategory android:title="CONTROL" >

        <PreferenceScreen
            android:key="stratux"
            android:persistent="false"
            android:summary="Manage Stratux settings"
            android:title="Stratux">

            <CheckBoxPreference
                android:defaultValue="false"
                android:key="stratuxActive"
                android:summary="Enable Stratux module"
                android:title="Stratux" />
            <CheckBoxPreference
                android:defaultValue="false"
                android:key="stratuxClient"
                android:summary="Stratux Client mode"
                android:title="Client Mode" />
            <EditTextPreference
                android:key="stratuxIp"
                android:title="Stratux IP" />
            <EditTextPreference
                android:defaultValue="stratux"
                android:key="ssid"
                android:title="WiFi Network" />
            <EditTextPreference
                android:key="pass"
                android:title="WiFi Password" />
        </PreferenceScreen>

        <PreferenceScreen
            android:key="modeSelection"
            android:title="System"
            android:summary="Display and Operational settings"
            android:persistent="false">

            <PreferenceCategory android:title="DISPLAY" >
            <CheckBoxPreference
                android:defaultValue="false"
                android:key="landscapeMode"
                android:summary="Select Landscape view"
                android:title="Landscape" />

            <CheckBoxPreference
                android:defaultValue="false"
                android:key="displayMirror"
                android:summary="Mirror image for HUD usage"
                android:title="Mirror HUD" />
            </PreferenceCategory>

            <PreferenceCategory android:title="ADMIN" >
                <CheckBoxPreference
                    android:defaultValue="false"
                    android:key="simulatorActive"
                    android:summary="Simulate GPS movement for demonstration"
                    android:title="Simulator" />
                <CheckBoxPreference
                    android:defaultValue="false"
                    android:key="lockedMode"
                    android:summary="Lock the exit on back button"
                    android:title="Locked" />

                <ListPreference
                    android:defaultValue="0.15f"
                    android:entries="@array/sensor_bias_names"
                    android:entryValues="@array/sensor_bias_values"
                    android:key="sensorBias"
                    android:summary="Select the bank sensor/GPS bias"
                    android:title="Bank Sensor" />

                    <PreferenceScreen
                    android:defaultValue="0.0"
                    android:key="version"
                    android:summary="0.0"
                    android:title="Version" />
            </PreferenceCategory>
        </PreferenceScreen>

        <!-- Moved to settings.xml     
        <ListPreference
            android:defaultValue="0"
            android:entries="@array/color_theme_names"
            android:entryValues="@array/color_theme_values"
            android:key="colorTheme"
            android:summary="Select color theme"
            android:title="Theme" />
            -->



    </PreferenceCategory>
</PreferenceScreen>

